@echo off
cls
:start
cls
echo ===================
echo Escape from NemCon
echo ===================
echo.
echo This Map file will only run if the SST TC is correctly
echo installed in your Duke3D folder.
echo.
echo.
echo Please select one of the following:
echo.
echo 1. Play 'Escape From NemCon'
echo 2. View Readme file
echo 3. Remove NemCon files
echo 4. Exit
echo.
echo.
echo.
echo.
echo.
choice /n /c:1234 Press 1, 2, 3 or 4 to continue
if errorlevel 4 goto exit
if errorlevel 3 goto remove
if errorlevel 2 goto readme
if errorlevel 1 goto play

:readme
type NemCon.txt |more
cls
goto start

:play
cls
echo Renaming files...
ren Ssttk03.wav backup.xxx
ren nemcon.xxx Ssttk03.wav
echo Loading "Escape from NemCon"
echo.
duke3d map nemcon.map
cls
echo Renaming files...
ren Ssttk03.wav nemcon.xxx
ren backup.xxx Ssttk03.wav
cls
goto start

:remove
cls
echo Are you sure you wish to remove all NemCon files?
echo.
echo.
echo 1 - Yes
echo 2 - No
echo.
choice /n /c:12 Press 1 or 2 to continue
if errorlevel 2 goto start
if errorlevel 1 goto remove2

:remove2
cls
echo Removing all NemCon files...
del NemCon.map
del nemcon.xxx
del nemcon.txt
cls
echo Files removed
goto filefin

:filefin
cls
echo NemCon files have been removed.
echo.
echo You will need to delete this batch file manually
echo.
pause


:exit
cls
echo Thanks for playing "Escape from NemCon"
echo -=-=-=-=-by chiCk3n w@RRi0R-=-=-=-=-=-
echo.
echo Email with any questions this address:
echo tim_anesbury@hotmail.com
echo.


